
QGIS Application - Bug report #9905

processing - run python script from python editor fails

2014-03-27 06:51 AM - Regis Haubourg

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18419

Description

confirmed in 2.0 and 2.0-20131120 (processing versions, QGIS 2.2)

When trying to run algorithms from script editor fails with following error message:

traceback (most recent call last):

  File "C:/Users/haubourg/.qgis2/python/plugins\\processing\\gui\\ScriptEditorDialog.py", line 183, in runAlgorithm

    dlg = ParametersDialog(alg)

  File "C:/Users/haubourg/.qgis2/python/plugins\\processing\\gui\\ParametersDialog.py", line 42, in __init__

    AlgorithmExecutionDialog.__init__(self, alg, self.scrollArea)

  File "C:/Users/haubourg/.qgis2/python/plugins\\processing\\gui\\AlgorithmExecutionDialog.py", line 105, in __init__

    if self.alg.helpFile():

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\script\\ScriptAlgorithm.py", line 257, in helpFile

    helpfile = self.descriptionFile + '.help'

TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'

Version de Python :

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

Version de QGIS :

2.2.0-Valmiera Valmiera, c3a2817

Associated revisions

Revision 6f3046ca - 2014-03-27 03:13 PM - Victor Olaya

[processing] fixed error when running script algorithm from script editor (fixes #9905)

History

#1 - 2014-03-27 06:52 AM - Regis Haubourg

- Assignee set to Victor Olaya

oups, can someone affect that to processing category?

#2 - 2014-03-27 06:53 AM - Anita Graser

- Category set to 94
#3 - 2014-03-27 07:13 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"6f3046caf1dbd2174ba3d9cb7163c5384f2037e2".

#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
